# Function get_viewable_fields_from_layout

- get_viewable_fields_from_layout(
  viewname: any,
  statehash: any,
  table: any,
  fields: any,
  columns: any,
  isShow: any,
  req: any,
  __: any,
  state?: {},
  srcViewName: any,
  layoutCols: any,
  viewResults: any,
  in_row_click: any,
  ): object[]

  #### Parameters

  - viewname: any
  - statehash: any
  - table: any
  - fields: any
  - columns: any
  - isShow: any
  - req: any
  - __: any
  - state: {} = {}
  - srcViewName: any
  - layoutCols: any
  - viewResults: any
  - in_row_click: any

  #### Returns object[]

  - Defined in packages/saltcorn-data/base-plugin/viewtemplates/viewable_fields.js:668